using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Gps
{
	[SkyscraperPlugin]
	[PluginPriority(0)]
	public class DummyGpsReceiverFactory : IGpsReceiverFactory
	{
		public bool Enabled { get; set; }
		public float Latitude { get; set; }
		public float Longitude { get; set; }
		public IGpsReceiver CreateGpsReceiver()
		{
			return new DummyGpsReceiver(Enabled, Latitude, Longitude);
		}
	}
}
